Bug 1278825 - CVE-2015-5213 libreoffice: Integer overflow in DOC files [fedora-all]
CVE-2015-5213 libreoffice: Integer overflow in DOC files [fedora-all]
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
22
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2015-5213
  Show dependency treegraph
 
Reported: 2015-11-06 08:52 EST by Adam Mariš
Modified: 2016-07-19 12:13 EDT (History)
6 users (show)

See Also:
Fixed In Version: libreoffice-4.3.7.2-13.fc21
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 12:13:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2015-11-06 08:52:00 EST
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]
Comment 1 Adam Mariš 2015-11-06 08:52:07 EST
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1278824,1278825

# Description of your update
notes=Security fix for CVE-2015-5213

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link(s) instead:

https://bodhi.fedoraproject.org/updates/new?type_=security&bugs=1278824,1278825
Comment 2 Caolan McNamara 2015-11-06 11:39:47 EST
up to date f22 is unaffected, f20 is eol, so only f21 affected
Comment 3 Fedora Update System 2015-11-08 09:21:24 EST
libreoffice-4.3.7.2-13.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-f92fd549f1
Comment 4 Fedora Update System 2015-11-08 21:20:21 EST
libreoffice-4.3.7.2-13.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update libreoffice'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-f92fd549f1

Note You need to log in before you can comment on or make changes to this bug.